﻿Public Class _Default
    Inherits Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then

        End If
        Dim dset As DataSet = New DataSet()
        dset.Tables.Add(BuildTable("grid"))
        WebDataGrid1.DataSource = dset
        WebDataGrid1.DataBind()
    End Sub

    Private Function BuildTable(name As String) As DataTable
        Dim table As DataTable = New DataTable(name)
        Dim column As DataColumn
        Dim row As DataRow

        column = New DataColumn()
        column.DataType = System.Type.GetType("System.Int32")
        column.ColumnName = "id"
        column.ReadOnly = True
        table.Columns.Add(column)

        column = New DataColumn()
        column.DataType = System.Type.GetType("System.String")
        column.ColumnName = "Item"
        column.Caption = "Item"
        column.ReadOnly = False
        table.Columns.Add(column)

        column = New DataColumn()
        column.DataType = System.Type.GetType("System.DateTime")
        column.ColumnName = "Data"
        column.Caption = "Data"
        column.ReadOnly = False
        column.Unique = False
        table.Columns.Add(column)

        Dim PrimaryKeyColumns As DataColumn() = New DataColumn(0) {}
        PrimaryKeyColumns(0) = table.Columns("id")
        table.PrimaryKey = PrimaryKeyColumns

        For i As Integer = 0 To 10
            row = table.NewRow()
            row("id") = i
            row("Item") = "Item " + i.ToString
            row("Data") = DateTime.Now.AddDays(i)
            table.Rows.Add(row)
        Next
        Return table

    End Function

    Protected Sub WebDataGrid1_InitializeRow(sender As Object, e As Infragistics.Web.UI.GridControls.RowEventArgs)
        e.Row.CssClass = "CustomRowColor"
    End Sub

    Protected Sub WebDataGrid1_RowSelectionChanged(sender As Object, e As Infragistics.Web.UI.GridControls.SelectedRowEventArgs)
        lbl.Text = "Test"
    End Sub
End Class